# coding=utf-8
"""
**ćwiczenie 5**
Katalog scores zawiera 64 pliki tekstowe, które posiadają informacje o wysokości miary ``BLEU`` na różnych etapach trenowania modelu. Nazwa każdego pliku na postać  ``model.iterXXXXXXX.npz.bleu``, gdzie ``XXXXXXX``, to liczba iteracji.Zawartość każdego pliku jest podobna i ma następującą formę: *BLEU = YY.YY, 44.4/18.5/9.3/5.0 (BP=1.000, ratio=1.072, hyp_len=45976, ref_len=42903)*, gdzie ``YY.YY`` to wartość miary ``BLEU``. Znajdź plik, który zawiera najwyższą wartość miary ``BLEU``.
 * Wykorzystaj bibliotekę ``glob`` (https://docs.python.org/2/library/glob.html)
 * Wyświetl tylko pełną nazwe pliku (wraz z ścieżką).
"""

import os

x = 0

#print os.listdir('.\scores')
cwd = os.getcwd()
os.chdir(cwd+'/scores')

maxBleu = {}

for f in os.listdir('.'):
    with open(f, 'r') as plik:
        for line in plik:
            lineSplit = line.split()
            maxValue = float(lineSplit[2].replace(',',''))
            if not maxBleu:
                maxBleu[f] = maxValue
            else:
                if maxValue > maxBleu.values()[0]:
                    maxBleu.clear()
                    maxBleu[f] = maxValue

print maxBleu
