#!/usr/bin/env python
# -*- coding: utf-8 -*-


"""
Napisz funkcję common_chars(string1, string2), która zwraca alfabetycznie
uporządkowaną listę wspólnych liter z lańcuchów string1 i string2.
Oba napisy będą składać się wyłacznie z małych liter.
"""

def common_chars(string1, string2):
    finalList = []
    for i in string1:
        if i.isalpha() and i in string2 and i not in finalList:
            finalList.append(i)
    for j in string2:
        if j.isalpha() and j in string1 and j not in finalList:
            finalList.append(j)
    return sorted(finalList)


def tests(f):
    inputs = [["this is a string", "ala ma kota"]]
    outputs = [['a', 't']]

    for input, output in zip(inputs, outputs):
        if f(*input) != output:
            return "ERROR: {}!={}".format(f(*input), output)
            break
    return "TESTS PASSED"

if __name__ == "__main__":
    print(tests(common_chars))
